> For the complete documentation index, see [llms.txt](https://docs.scanner.dev/scanner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/querying-and-analysis/aggregation-functions/var.md).

# var()

`var(col)` returns the sample variance of the values in the provided column.

Non-numeric values are ignored. Variance requires at least two values to calculate; if the provided column does not have enough numeric values or the column does not exist, `var` will return `null`.

## Returns

A table with one row and one column, called `@q.var`.

## Example

Compute the variance of elapsed time in milliseconds for requests in the **checkout\_api** service, aggregated by **host**.

```python
kubernetes.container_name: "checkout_api"
| stats var(log.elapsed_ms) by host
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scanner.dev/scanner/using-scanner-complete-feature-reference/querying-and-analysis/aggregation-functions/var.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
